Bug 16920 - sysprefs.sql - missing comma for MaxOpenSuggestions
Summary: sysprefs.sql - missing comma for MaxOpenSuggestions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Mark Tompsett
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14407
  Show dependency treegraph
 
Reported: 2016-07-14 02:45 UTC by Mark Tompsett
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16920: sysprefs.sql - missing comma for MaxOpenSuggestions (1.73 KB, patch)
2016-07-14 02:50 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16920: sysprefs.sql - missing comma for MaxOpenSuggestions (1.78 KB, patch)
2016-07-14 03:00 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16920: sysprefs.sql - missing comma for MaxOpenSuggestions (1.84 KB, patch)
2016-07-14 03:02 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Tompsett 2016-07-14 02:45:18 UTC
Bug 15128 accidentally missed a comma on MaxOpenSuggestions.

diff --git a/installer/data/mysql/sysprefs.sql b/installer/data/mysql/sysprefs.sql
index 29ef9c8..c9a7c7e 100644
--- a/installer/data/mysql/sysprefs.sql
+++ b/installer/data/mysql/sysprefs.sql
@@ -236,6 +236,7 @@ INSERT INTO systempreferences ( `variable`, `value`, `options`, `explanation`, `
 ('MaxItemsToDisplayForBatchDel','1000',NULL,'Display up to a given number of items in a single item deletionbatch.','Integer'),
 ('MaxItemsToProcessForBatchMod','1000',NULL,'Process up to a given number of items in a single item modification batch.','Integer'),
 ('maxItemsInSearchResults','20',NULL,'Specify the maximum number of items to display for each result on a page of results','free'),
+('MaxOpenSuggestions','',NULL,'Limit the number of open suggestions a patron can have at once','Integer')
 ('maxoutstanding','5','','maximum amount withstanding to be able make holds','Integer'),
 ('maxRecordsForFacets','20',NULL,NULL,'Integer'),
 ('maxreserves','50','','Define maximum number of holds a patron can place','Integer'),

This just adds it in.
Comment 1 Mark Tompsett 2016-07-14 02:50:29 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-07-14 03:00:07 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-07-14 03:02:02 UTC
Created attachment 53393 [details] [review]
Bug 16920: sysprefs.sql - missing comma for MaxOpenSuggestions

TEST PLAN
---------
1) back up DB
2) drop database koha_library;
3) create database koha_library;
4) run web browser install, choose ALL defaults
   -- notice the SQL syntax warning.
5) apply patch
6) repeat steps 2-4
   -- notice SQL syntax warning is gone.
7) run koha qa test tools
8) restore db

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-07-15 14:05:26 UTC
Pushed to master for 16.11, thanks Mark!